 <?php

if (isset($_SERVER['HTTP_ORIGIN'])) {
    header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
    header('Access-Control-Allow-Credentials: true');
    header('Access-Control-Max-Age: 86400'); // cache for 1 day
}

error_reporting(E_ERROR | E_PARSE);

$_SESSION['database'] = $_GET['database'];
$_SESSION['po_op_id'] = $_GET['po_op_id'];
$_SESSION['agrupar'] = $_GET['agrupar'];

include 'conn.php';
include 'funciones.php';

$jsonData = array();
$jsonTempData = array();
$po_cant = " tp.po_cant";
$group = "";

if ($_SESSION['agrupar'] == "1") {
    $po_cant = " sum(po_cant) as po_cant ";
    $group = " group by p.pr_id, tp.porcdesc, tp.po_precio order by po_posicion";
}

//CONSULTAR

$sql = "select tp.ubic_enviada, " .
"p.w_tipo, p.pr_itbms, " .
"p.pr_venta1 as pr_costo_prom, " .
"p.pr_id_familia ," .
"p.pr_id ," .
"tp.po_id ," .
"tp.po_relac_unic ," .
"tp.ubicacion ," .
"tp.po_precio ," .
//"tp.porcdesc ,".
//"tp.porcdesc_general ,".
"pm.porcdesc ," .
    "pm.porcdesc_general ," .
    $po_cant . " ," .
    "tp.po_descripcion ," .
    "tp.po_op_id ," .
    "tp.po_visible_grid ," .
    "tp.mod_id_auto, " .
    "tp.po_pr_detalle " .
    "from " . $_GET['database'] . ".producto_op tp" .
    " left outer join " . $_GET['database'] . ".productos p on tp.po_id_prod = p.pr_id " .
    " left outer join " . $_GET['database'] . ".producto_op_mas pm on tp.po_id_prod = pm.po_id_prod " .
    " and tp.po_op_id = pm.po_op_id and tp.po_relac_unic = pm.po_relac_unic" .
    " where tp.po_op_id = " . $_SESSION['po_op_id'];

//print_r($sql);

$qur = $connection->query($sql);

if ($_SESSION['codigo'] == "99") {

    $json->datos = "false";

} else {
    $json->datos = "true";

    $po_relac_unic_ante = 0;
    $pr_id_padre = 0;
    $puesto = 0;

    while ($r = mysqli_fetch_assoc($qur)) {

        $w_tipo = $r['w_tipo'];
        $ubic_enviada = $r['ubic_enviada'];

        if (intval($ubic_enviada) == 1) {
            $ubic_enviada = "ion-pin";
        } else {
            $ubic_enviada = "";
        }

        if (intval($w_tipo) == 6) {

            $pr_id_padre = $r['po_id'];
            $po_relac_unic_ante = $r['po_relac_unic'];
        }

        if ($po_relac_unic_ante != $r['po_relac_unic']) {
            $pr_id_padre = 0;
        }

        // if ($_SESSION['opcion']=="2")
        //{
        $puesto = $r['ubicacion'];
        //}

        $precio = $r['po_precio'];
        $PorcDesc = $r['porcdesc'];
        $PorcImpu = $r['pr_itbms'];
        $canti = $r['po_cant'];
        $PrecioCant = $precio * $canti;
        $descuento = $PrecioCant * $PorcDesc / 100;
        $total1 = $PrecioCant - $descuento;
        $pr_itbms = $total1 * $PorcImpu / 100;
        $total2 = $total1 + $pr_itbms;
        $pr_descripcion = $r['po_descripcion'];
        $w_fncolor = "";
        $disabled = "";
        $disabled_delete = "";
        $combo = "no";

        $raiz = 10;
        $multiplicador = pow($raiz, 2);

        $resultado = ((int) ($precio * $multiplicador)) / $multiplicador;
        $precio = number_format($resultado, 2);

        //$resultado = ((int)($total2 * $multiplicador)) / $multiplicador;
        //$total2 = number_format($resultado, 2);
        $total2 = number_format($total2, 2, '.', '');

        if (intval($r['w_tipo']) == 6) {
            $w_fncolor = "#EC4B0A";
            //$disabled = "disabled";
            $combo = "si";
        } else {
            $w_fncolor = "black";
        }

        if (substr($pr_descripcion, 0, 3) == "...") {
            //$disabled = "disabled";
            //$disabled_delete = "disabled";
            $combo = "si";
        }

        //if ($_SESSION['agrupar']=="1" and intval($canti) > 1){
        $disabled = "disabled";
        $disabled_delete = "disabled";
        //}

        $po_visible_grid = '';
        if ($r['po_visible_grid'] == 'n') {
            $po_visible_grid = 'none';
        }

        $jsonTempData = array();
        $jsonTempData['autoin'] = $r['po_id'];
        $jsonTempData['po_op_id'] = $r['po_op_id'];
        $jsonTempData['pr_id'] = $r['pr_id'];
        $jsonTempData['pr_id_familia'] = $r['pr_id_familia'];
        $jsonTempData['pr_descripcion'] = utf8_encode($pr_descripcion);
        $jsonTempData['w_tipo'] = $r['w_tipo'];
        $jsonTempData['w_fncolor'] = $w_fncolor;
        $jsonTempData['total'] = $total2;
        $jsonTempData['precioFijo'] = $precio;
        $jsonTempData['pr_venta1'] = $precio;
        $jsonTempData['ord_precio'] = $precio;
        $jsonTempData['pr_itbms'] = $pr_itbms;
        $jsonTempData['cantidad'] = intval($r['po_cant']);
        $jsonTempData['PorcDesc'] = $r['porcdesc'];
        $jsonTempData['PorcDescPOS'] = $r['porcdesc'];
        $jsonTempData['porcdesc_general'] = $r['porcdesc_general'];
        $jsonTempData['descuento'] = $descuento;
        $jsonTempData['pr_costo_prom'] = $r['pr_costo_prom'];
        $jsonTempData['PorcentajeImp'] = $PorcImpu;
        $jsonTempData['personaMesa'] = $puesto;
        $jsonTempData['enviado'] = $ubic_enviada;
        $jsonTempData['disabled'] = $disabled;
        $jsonTempData['disabled_delete'] = $disabled_delete;
        $jsonTempData['po_id'] = $r['po_id'];
        $jsonTempData['mod_id_auto'] = $r['mod_id_auto'];
        $jsonTempData['ocultar'] = $po_visible_grid;
        $jsonTempData['pr_id_padre'] = $pr_id_padre;
        $jsonTempData['combo'] = $combo;
        $po_pr_detalle = str_replace("|||", "\n", $r['po_pr_detalle']);
        $jsonTempData['det'] = $po_pr_detalle;
        $jsonData[] = $jsonTempData;
    }
    $json->jsonordenes = $jsonData;
}

//print_r(json_encode($sql));

print_r(json_encode($json));

@mysqli_close($connection);
?>